数据保护/快照相关接口
PUTSnapshot Interfaces起始版本 4.7.0同步需要认证
撤销创建快照
撤销创建快照
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
请求参数
路径参数
uuidString必填资源的UUID,唯一标示该资源
请求体字段
undosnapshotcreationObject必填undosnapshotcreation 请求体结构
snapShotUuidString必填快照UUID。
systemTagsList系统标签
userTagsList用户标签
响应状态
请求地址
PUT/zstack/v1/volumes/{uuid}/actions
/zstack/v1/volumes/{uuid}/actions
请求示例
curl -X PUT 'http://{host}/zstack/v1/volumes/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"undosnapshotcreation":{"snapShotUuid":"<snapShotUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventory": { "uuid": "7c3af161f36e3c2ca8661e8f825a9a4d", "name": "test-volume", "primaryStorageUuid": "c5b8c1bc2db337ac83b5a867046e145d", "vmInstanceUuid": "d6d25288e0973da58921dc13cb58c653", "diskOfferingUuid": "5547f17f3df234278ce7f44bb8fdf131", "rootImageUuid": "a976ad9fc6493bd88ea7ef05e9028dc1", "installPath": "/zstack_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-7c3af161f36e3c2ca8661e8f825a9a4d/7c3af161f36e3c2ca8661e8f825a9a4d.qcow2", "type": "Root", "format": "qcow2", "size": 107374182400, "actualSize": 21474836480, "deviceId": 0, "state": "Enabled", "status": "Ready", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } }变更历史
此 API 暂无变更历史记录。
